POST Find Foodspots by Code

​

Find foodspots by code

Headers

  • Accept header

  • Authorization header

  • Content-Type header

  • API version

  • Application key

  • Unique request identifier

Body

application/json

Responses

  • application/json
  • Bad Request

  • Unauthorized

  • Forbidden

  • Not Found

Request Example for post/orders/foodspots
curl https://api-public-demo.menu.app/api/orders/foodspots \
  --request POST \
  --header 'Accept: application/json' \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --header 'API-VERSION: ' \
  --header 'Application: ' \
  --header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
  --data '{
  "code": "100"
}'
{
  "status": "OK",
  "code": 200,
  "data": {
    "foodspots": [
      {
        "id": "e0f7d35f-9411-4a58-a4a6-89f55555fc90",
        "venue_id": "b8baafab-3f22-11ed-936c-1a67b454859d",
        "discount": 10,
        "subsidy": 0,
        "min_order_amount": 0,
        "country": {
          "id": "ad88528b-bcb4-4cf7-bb8f-a184ca292445",
          "currency_id": "589c6caf-2361-42d8-b703-2a87424d1287",
          "name": "Serbia",
          "code": "RS",
          "code_alpha3": "SRB",
          "code_numeric": 688,
          "calling_code": "+381",
          "distance_unit": "km",
          "is_address_number_first": false,
          "currency_settings": {
            "currency_space": true,
            "decimal_separator": ".",
            "thousands_separator": ".",
            "symbol_position": "left"
          },
          "supported_travel_modes": [
            "driving"
          ],
          "available_payment_methods": [
            {}
          ]
        },
        "name": "Milos Ivankovic 2",
        "code": "POPUST",
        "address": "Valjevska",
        "city": "Beograd",
        "zip": 11000,
        "latitude": 44.772,
        "longitude": 20.413,
        "apartment": 1,
        "note": "231231",
        "serving_times": {
          "id": "a092668c-42f0-4398-bd81-71cafc62e1f2",
          "type_id": 2,
          "reference_type": "WeekDays",
          "time_from": "00:00",
          "time_to": "10:00",
          "delivery_at": "11:00",
          "days": [
            0
          ]
        }
      }
    ]
  }
}